Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Interface IAppointmentNotice

All Superinterfaces:
  IAppointment, ICalendarItem, IGroupwareItem, IItem, IMessagingItem, INotice, java.io.Serializable

All Known Subinterfaces:
  IAppointmentInvitation

public interface IAppointmentNotice
extends IAppointment, INotice

Interface for a notice of an appointment update.

Field Summary
`static Key` | `APPOINTMENT_ID` Key that represents the appointment ID.
`static ItemClass` | `CLASS` The item class of `IExchangeAddressEntry`.
`static int` | `KEYID_APPOINTMENT_ID` The `int` ID for the `APPOINTMENT_ID` key.

Fields inherited from interface com.compoze.collab.groupware.ICalendarItem
`BUSY_STATUS, DURATION, END_TIME, IS_ALL_DAY, IS_RECURRING, KEYID_BUSY_STATUS, KEYID_DURATION, KEYID_END_TIME, KEYID_IS_ALL_DAY, KEYID_IS_RECURRING, KEYID_LOCATION, KEYID_START_TIME, LOCATION, START_TIME`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.domino.INotice
`KEYID_NOTICE_TYPE, KEYID_STATUS_UPDATE, KEYID_TOPIC, NOTICE_TYPE, STATUS_UPDATE, TOPIC`

Method Summary
`java.lang.String` | `getAppointmentID()` Gets the document id of the appointment that this notice is generated.

Methods inherited from interface com.compoze.collab.groupware.IAppointment
`cancel, setAllDayEvent, setBusyStatus, setDates, setLocation`

Methods inherited from interface com.compoze.collab.groupware.ICalendarItem
`getBusyStatus, getDuration, getEndTime, getLocation, getStartTime, isAllDayEvent, isRecurring`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.domino.INotice
`getNoticeType, getStatusUpdate, getTitle, getTopic`

Field Detail

### CLASS

    public static final ItemClass CLASS

  The item class of `IExchangeAddressEntry`.

### KEYID_APPOINTMENT_ID

    public static final int KEYID_APPOINTMENT_ID

  The `int` ID for the `APPOINTMENT_ID` key.

### APPOINTMENT_ID

    public static final Key APPOINTMENT_ID

  Key that represents the appointment ID.

Method Detail

### getAppointmentID

    public java.lang.String getAppointmentID()
                                      throws CollaborationException

  Gets the document id of the appointment that this notice is generated.
  Returns:
    the appointment id
  See Also:
    `APPOINTMENT_ID`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.